Package org.kapott.hbci.swift

# Class DTAUS_CH.Transaction

java.lang.Object
org.kapott.hbci.swift.DTAUS_CH.Transaction

Enclosing class:
  DTAUS_CH

public class DTAUS_CH.Transaction extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`idx`
`Konto`
`other`
`List<String>`
`usage`
`Value`
`value`

## Constructor Summary

Constructors
Constructor
Description
`Transaction(Konto other, Value value)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addUsage(String st)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### other

public Konto other

### value

public Value value

### usage

public List<String> usage

### idx

public int idx

## Constructor Details

### Transaction

public Transaction(Konto other, Value value)

## Method Details

### addUsage

public void addUsage(String st)

### toString

public String toString()

Overrides:
  `toString` in class `Object`